| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.IDeviceService Interface Reference

DeviceService interface. More...

Inheritance diagram for LicenseSpring.IDeviceService:

## Public Member Functions
string | BlacklistDevice (ulong deviceId)
| Blacklist a single Device if requesting manager has access permissions to it.
DateTime | BorrowDevice (ulong deviceId, DateTime? borrowUntil)
| Borrow a single Device if requesting manager has access permissions to it.
DeviceVariable | CreateDeviceVariable (CreateDeviceVariableDto dto)
| Creates a new device variable.
string | DeleteDeviceVariable (uint variableId)
| Deletes device variable.
Device[] | ListDevices (ListDevicesRequestDto dto, out uint count)
| Returns all devices.
DeviceVariable[] | ListDeviceVariables (ListDeviceVariablesRequestDto dto, out uint count)
| Returns all device variables.
string | ResetDevice (ulong deviceId)
| Reset a single Device if requesting manager has access permissions to it.
DeviceVariable | UpdateDeviceVariable (CreateDeviceVariableDto dto, uint variableId)
| Updates device variable.
Public Member Functions inherited from LicenseSpring.IService
void | Initialize (ManagementConfiguration configuration)
| Initialize management service with given configuration.
bool | IsInitialized ()
| Check whether management service has been initialized.
bool | IsOnline (bool throwExceptions=false)
| Helper method, it checks connection to the LicenseSpring platform.

## Detailed Description

DeviceService interface.

## Member Function Documentation

## ◆ BlacklistDevice()

string LicenseSpring.IDeviceService.BlacklistDevice | ( | ulong | deviceId | ) |

Blacklist a single Device if requesting manager has access permissions to it.

Parameters

  deviceId | The Id of the device that will be blacklisted.

Implemented in LicenseSpring.DeviceService.

## ◆ BorrowDevice()

DateTime LicenseSpring.IDeviceService.BorrowDevice | ( | ulong | deviceId,
|  | DateTime? | borrowUntil
| ) |  |

Borrow a single Device if requesting manager has access permissions to it.

Parameters

  deviceId | The Id of the device that will be borrowed.
  borrowUntil | DateTime until which device will be borrowed.Set null as a value if you want to manually return the borrowed license.

Implemented in LicenseSpring.DeviceService.

## ◆ CreateDeviceVariable()

DeviceVariable LicenseSpring.IDeviceService.CreateDeviceVariable | ( | CreateDeviceVariableDto | dto | ) |

Creates a new device variable.

Parameters

  dto | Dto with information about new device variable.

Implemented in LicenseSpring.DeviceService.

## ◆ DeleteDeviceVariable()

string LicenseSpring.IDeviceService.DeleteDeviceVariable | ( | uint | variableId | ) |

Deletes device variable.

Parameters

  variableId | The Id of the device variable that will be deleted.

Implemented in LicenseSpring.DeviceService.

## ◆ ListDevices()

Device[] LicenseSpring.IDeviceService.ListDevices | ( | ListDevicesRequestDto | dto,
|  | out uint | count
| ) |  |

Returns all devices.

Parameters

  dto | Data transfer object that is used for searching through all devices.
  count | Quantity of devices, use for iteration of the result pages.

Implemented in LicenseSpring.DeviceService.

## ◆ ListDeviceVariables()

DeviceVariable[] LicenseSpring.IDeviceService.ListDeviceVariables | ( | ListDeviceVariablesRequestDto | dto,
|  | out uint | count
| ) |  |

Returns all device variables.

Parameters

  dto | Data transfer object that is used for searching through device variables.
  count | Quantity of variables, use for iteration of the result pages.

Implemented in LicenseSpring.DeviceService.

## ◆ ResetDevice()

string LicenseSpring.IDeviceService.ResetDevice | ( | ulong | deviceId | ) |

Reset a single Device if requesting manager has access permissions to it.

Parameters

  deviceId | The Id of the device that will be reset.

Implemented in LicenseSpring.DeviceService.

## ◆ UpdateDeviceVariable()

DeviceVariable LicenseSpring.IDeviceService.UpdateDeviceVariable | ( | CreateDeviceVariableDto | dto,
|  | uint | variableId
| ) |  |

Updates device variable.

Parameters

  dto | Dto with information about device variable that will be updated.
  variableId | The Id of the device variable that will be updated.

Implemented in LicenseSpring.DeviceService.

The documentation for this interface was generated from the following file:

- IDeviceService.cs